summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2016-04-03 08:38:29 +0100
committerSergei Trofimovich <slyfox@gentoo.org>2016-04-03 08:38:40 +0100
commit272b3d107bd53100e402d9ad2f589805024a3ae6 (patch)
tree4b87712afcb1563413282bca2d9e055bada1038e /dev-util/objconv
parentmail-mta/exim: version bump to Exim 4.87 RC 7 (diff)
downloadgentoo-272b3d107bd53100e402d9ad2f589805024a3ae6.tar.gz
gentoo-272b3d107bd53100e402d9ad2f589805024a3ae6.tar.bz2
gentoo-272b3d107bd53100e402d9ad2f589805024a3ae6.zip
dev-util/objconv: bump up to 2.42
Package-Manager: portage-2.2.28
Diffstat (limited to 'dev-util/objconv')
-rw-r--r--dev-util/objconv/Manifest1
-rw-r--r--dev-util/objconv/objconv-2.42.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/dev-util/objconv/Manifest b/dev-util/objconv/Manifest
index 4c349aa93ed..61d95f59435 100644
--- a/dev-util/objconv/Manifest
+++ b/dev-util/objconv/Manifest
@@ -1 +1,2 @@
DIST objconv-2.32_pre20131127.zip 814334 SHA256 e0ed4a795ce46eadbf724b072e7f1e2b4c37a8a85f94a44ee9da94ed85ac12f2 SHA512 9be8f6e7f33794ade3340604508a996139c3f7a3a620efc634919e20ad29c5510b25a88df469769862d969375eefaed39c4e200b1ef25d9eff8abb1936027f7b WHIRLPOOL 6abe704f9f8f9864f7321d5abe5d3caabda364c744d6918d9f0c84fbc4dc7d0294262fef350cc9f4463a827d88bd76e8fababecda9a414d9252a15732c6a040e
+DIST objconv-2.42.zip 1016499 SHA256 1aa3171a8f0ebba7902b413857b178df2b079cbc31bfb95b196ba7a685c227ba SHA512 9ccc49ddfe5a6d353c746917832419478335e73d1cb85762cad314f918532bd20844b9812e392d57789a4a6cb8764945a6b1894884b50d5486bdf635fe58d35f WHIRLPOOL 6db650b33f63ca2d39720352c4aa72e72a92c649f4073b10e32ce361e0194ed7f37663d8eceed3bc708abcd5bfe1f29756655af82292b081498e46251070b376
diff --git a/dev-util/objconv/objconv-2.42.ebuild b/dev-util/objconv/objconv-2.42.ebuild
new file mode 100644
index 00000000000..d9c1ec4835a
--- /dev/null
+++ b/dev-util/objconv/objconv-2.42.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit toolchain-funcs unpacker
+
+DESCRIPTION="object code file converted (COFF, ELF, OMF, MACHO)"
+HOMEPAGE="http://agner.org/optimize/#objconv"
+# original URL is "http://agner.org/optimize/objconv.zip", but it's unversioned.
+# I copy those to distfiles time to time
+SRC_URI="https://dev.gentoo.org/~slyfox/distfiles/${P}.zip"
+LICENSE="GPL-2"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND=""
+DEPEND=""
+
+S=${WORKDIR}/${P}
+
+src_unpack() {
+ unpacker_src_unpack
+ mkdir "${S}" || die
+ pushd "${S}" || die
+ unpack_zip ../source.zip
+}
+
+src_prepare() {
+ # project has extremenly poor build system (see build.sh)
+ local sources=$(echo *.cpp)
+
+ {
+ echo "objconv: ${sources//.cpp/.o}"
+ echo " \$(CXX) \$(CXXFLAGS) -o \$@ \$^ \$(LDFLAGS)"
+ } > Makefile || die
+
+ tc-export CXX
+}
+
+src_install() {
+ dobin objconv
+ dodoc ../objconv-instructions.pdf
+}